package com.malk.lingmingguangzi.service;

import com.malk.server.common.McR;

import java.io.IOException;
import java.util.Map;

public interface LingmingguangziService {
    McR test();

    /**
     * 获取车载不同客户问卷数量
     * @return
     */
    McR getCustomerQuestionnaireCount(Long start, Long end);

    McR getTbStageDetails(String projectName,String stageName);

    McR getCustomerQuestionnaireCount2(Long start, Long end);

    McR addCustomer(Map map);

    McR updateCustomer(Map map);

    McR getProductDeliveryStatus(String keyword,int pageNo,int pageSize);

    McR addSaleOrder(Map map);

    McR updateSaleOrder(Map map);

    String postWithFile(String url, String filePath);

    void updateCurrency();

    void updateTaxRate();

    void updateProcess();

}
